#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "lib.h"
#include "lib.c"



gboolean
on_drawingarea_expose_event            (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
	gdk_draw_rectangle(widget->window,
                widget->style->white_gc, TRUE,
                0, 0,
                widget->allocation.width, widget->allocation.height);


	GdkColor *color_grau, *color_black;
  
        // Farben
        color_grau      = (GdkColor *)malloc(sizeof(GdkColor));
        color_grau->red         = 255 *(65535/255);
        color_grau->green       = 0   *(65535/255);
        color_grau->blue        = 0   *(65535/255);
        gdk_color_alloc(gtk_widget_get_colormap(widget), color_grau);
        color_black     = (GdkColor *)malloc(sizeof(GdkColor));
        color_black->red         = 0 *(65535/255);
        color_black->green       = 0   *(65535/255);
        color_black->blue        = 0   *(65535/255);
        gdk_color_alloc(gtk_widget_get_colormap(widget), color_black);
	GdkColor red = { 0, 0xFF00, 0x00, 0x00 };
	
	int i;
	for (i=0;i<N+L;i++){
		if (gitter[i%N]==1){
			gdk_draw_rectangle(widget->window,
		                widget->style->black_gc, TRUE,
		                (double)widget->allocation.width/(double)L*(double)(i%L), (double)widget->allocation.height/(double)L*(i/L),
		                ceil((double)widget->allocation.width/(double)L), ceil((double)widget->allocation.height/(double)L));

		}
	}
	 if (gtk_toggle_button_get_active(lookup_widget(GTK_WIDGET(window1), "radio_cluster"))==TRUE&&gtk_toggle_button_get_active(lookup_widget(GTK_WIDGET(window1), "checkshowcluster"))){

	gdk_gc_set_foreground(widget->style->fg_gc[GTK_WIDGET_STATE (widget)], color_grau);
	
	for (i=0;i<N+L;i++){
		if(clusternr[i%N]!=clusternr[get_neighbour1(i%N)]
		){
	/*gdk_draw_layout_line_with_colors(widget->window,
			widget->style->fg_gc[GTK_WIDGET_STATE (widget)],			*/
			gdk_draw_rectangle(widget->window,
		                widget->style->fg_gc[GTK_WIDGET_STATE (widget)], TRUE,
		                (double)widget->allocation.width/(double)L*(double)(i%L), (double)widget->allocation.height/(double)L*(double)(i/L),
		                1, ceil((double)widget->allocation.height/(double)L));
		
		}
	}
	for (i=0;i<N+L;i++){
		if(clusternr[i%N]!=clusternr[get_neighbour3(i%N)]
		){
			gdk_draw_rectangle(widget->window,
		                widget->style->fg_gc[GTK_WIDGET_STATE (widget)], TRUE,
		                (double)widget->allocation.width/(double)L*(double)(i%L), (double)widget->allocation.height/(double)L*(double)(i/L),
		                ceil((double)widget->allocation.width/(double)L), 1);
		}
	}

		
//	gdk_gc_set_foreground(widget->style->fg_gc[GTK_WIDGET_STATE (widget)],widget->style->black_gc) ;
	gdk_gc_set_foreground(widget->style->fg_gc[GTK_WIDGET_STATE (widget)], color_black);
	}
 	return FALSE;
}



void
on_spinbeta_value_changed              (GtkSpinButton   *spinbutton,
                                        gpointer         user_data)
{
	beta = gtk_spin_button_get_value(lookup_widget(GTK_WIDGET(window1), "spinbeta"));

}


void
on_freeze_toggled                      (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{

}

